%define name sonypid
%define version 1.9.1
%define release %mkrel 6

Summary: Sony Vaio SPIC Daemon (enables jog dial mouse wheel)
Name: %name
Version: %version
Release: %release
License: GPL
Group: System/Configuration/Hardware
BuildRoot: %_tmppath/%{name}-buildroot
Source: http://popies.net/sonypi/sonypid-%{version}.tar.bz2
URL: http://popies.net/sonypi/
BuildRequires: X11-devel

%description
This daemon enables the jog dial on a Sony VAIO as a mouse wheel.

%prep

%setup 

%build

%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_sbindir
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d
install %{_builddir}/%{name}-%{version}/sonypid $RPM_BUILD_ROOT%_sbindir/
install %{_builddir}/%{name}-%{version}/sonypid.xinitrc $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/sonypid

%post
if [ ! -c /dev/sonypi ]; then
	rm -f /dev/sonypi
	mknod /dev/sonypi c 10 250
fi
grep 'alias char-major-10-250 sonypi' /etc/modules.conf > /dev/null
RETVAL=$?
if [ $RETVAL -ne 0 ]; then
	echo 'alias char-major-10-250 sonypi' >> /etc/modules.conf
	echo 'options sonypi minor=250' >> /etc/modules.conf
fi
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE CHANGES
%_sbindir/*
%_sysconfdir/X11/xinit.d/*



%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-6mdv2009.0
+ Revision: 260903
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-5mdv2009.0
+ Revision: 252778
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.9.1-3mdv2008.1
+ Revision: 127462
- kill re-definition of %%buildroot on Pixel's request
- import sonypid


* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 1.9.1-3mdk
- rebuild

* Fri Nov 05 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.9.1-2mdk
- add BuildRequires: X11-devel

* Mon Feb 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.9.1-1mdk
- from Nicolas Brouard <nicolas.brouard@libertysurf.fr> 
	- initial contribs version of sonypid package
